# Testing deployment

Preparing environment, requirements:

```
python3.8 -mvenv env3.8
source env3.8/bin/activate
pip install -r requirements.txt
```

Install MLLP-grpc protos:

```
source env3.8/bin/activate
git clone https://mllp.upv.es/git/agimenez/mllp-grpc-protos.git
cd mllp-grpc-protos
make
pip install .
```

## Test ASR-server

```
python test_asr_server.py <ASR_SERVER_HOST> <ASR_SERVER_PORT> <WAV>
```

## Test ASR-system (or Pipeline system)

```
python test_asr_system.py <ASR_SYSTEM_HOST> <ASR_SYSTEM_PORT> <WAV>

```

## Test SMT-server

```
python sim_mt_grpc_client.py <SMT_SERVER_HOST> <SMT_SERVER_PORT> <TXT>
```

## Test SMT-system

```
python sim_mt_system_grpc_client.py <SMT_SYSTEM_HOST> <SMT_SYSTEM_PORT> <TXT>
```

